<?php
/* file: defaults.php3 */
/* setup.php3 by Jason "ZeroDiVide" Orcutt < zerodiv@atcjet.net > */

/* Ajout pour SLIS */
require("../../config_pgsql.inc.php");

/* For debugging purposes */
$default->error_level                    = 15;


/* The longest that things like file uploads and slow functions */
/* should be allowed to run. 0 means run until termination */
/* (forever if infinite loop). */


/* NOTE: you can't set this to 0 if safe_mode is on. */
$default->max_execution_time             = 0;


/* Server Specific Configuration */
$default->localhost                      = 'localhost';


/* Web Server Configuration */
$default->root_url                       = '/horde/imp';
$default->include_dir                    = './templates';
$default->graphics_url                   = '/horde/imp/graphics';


/* Default IMAP Server Configuration */
$default->server                         = 'localhost';
$default->from_server                    = $HOSTNAME;
$default->port                           = '110';

/* Ajout pour SLIS */
$default->servtype			 = 'pop3';

/* Default IMAP Folder Configuration */
$default->folders                        = 'mail/';
$default->use_imap_subscribe             = false;
$default->show_dotfiles                  = false;
$default->save_sent_mail                 = true;
$default->sent_mail                      = 'sent-mail';
$default->postponed                      = 'drafts';


/* Ldap searching */
$default->use_ldap_search                = true;


/* Server list : user is presented with a list */
/* of available imap servers */
/* Si vous souhaitez avoir plusieurs serveurs accessibles via IMP */
/* mettre true et renseigner le fichier server.php3 */
$default->use_server_list                = false;


/* User changeable items */
$default->user_change_server             = false;
$default->user_change_folder             = false;
$default->user_change_from               = false;
$default->user_change_fullname           = true;
$default->user_use_addressbook           = true;


/* Check For New Mail Configuration */
$default->newmail_popup                  = true;
$default->refresh_delay                  = '300';


/* External Binaries Configuration */
$default->path_to_sendmail               = '/usr/sbin/sendmail';       /* Sendmail */
$default->path_to_ispell                 = '/usr/bin/ispell';         /* ISpell */
$default->path_to_mswordview             = '/usr/bin/mswordview -o -';     /* M$WordView */
$default->path_to_tar                    = '/bin/tar';            /* Tar */


/* Cyrus Configuration */
$default->personal_folders               = '';    /* i.e. INBOX. */


/* Default Language Configuration */
$default->language                       = 'fr';


/* Message Configuration */
$default->append_header                  = false;
$default->append_trailer                 = false;


/* Text Viewing */
$default->text_parts_inline              = true;


/* Database Configuration */
$default->use_db                         = true;
$default->database_driver                = 'pgsql';
$default->db_user_name                   = 'hordemgr';
$default->db_password                    = $HORDEPASS;
$default->db_security_nag                = true;
$default->db_name                        = 'horde';
$default->db_server_name                 = 'localhost';
$default->db_pref_table                  = 'imp_pref';
$default->db_address_table               = 'imp_addr';
$default->db_connect_string              = '';
$default->db_server_port                 = '';
$default->db_server_options              = '';
$default->db_server_tty                  = '';


?>
