<?php

/*
 
 File: config/ldap.php3
 $Author: bzizou $
 $Revision: 1.2 $
 $Date: 2001/05/16 13:11:51 $
 
 IMP: Copywrite 1998 Charles J. Hagenbuch chuck@horde.org
 
 This code is under the GNU Public License
 See the file COPYING in this directory
 
 */

/* Added for SLIS */

require ("/home/hadmin/slis.conf.php");
# Search for the base dn
$server=explode('.',$SERVER_NAME);
$HOST_DN=$server[0];
if ( $BASE_DN == "" ) {
  $DOMAIN_DN=$server[1];
  $BASE_DN="ou=$HOST_DN, ou=slis, ou=$DOMAIN_DN, ou=education, o=gouv, c=fr";
} 
else {
  $BASE_DN="ou=$HOST_DN,$BASE_DN";  
}

/* End of "added for SLIS" */

$LDAPServers = array();


$LDAPServers['Slis'] = new LDAPServer('Slis',
					   'Slis',
					   'localhost',
					   $BASE_DN,
					   'sn',
					   'cn,mail,sn',
					   'contains,is,is_strict,begins,ends');

/* Bloque pour SLIS */
/*
$LDAPServers['bigfoot'] = new LDAPServer('bigfoot',
					 'Bigfoot',
					 'ldap.bigfoot.com',
					 '',
					 'surname',
					 'cn,mail,sn',
					 'is,sounds,is_strict,contains,begins,ends');


$LDAPServers['infospacebiz'] = new LDAPServer('infospacebiz',
                                              'InfoSpace Business',
                                              'ldapbiz.infospace.com',
                                              '',
                                              'sn',
                                              'cn,sn',
                                              'is_strict,begins');

$LDAPServers['yahoo'] = new LDAPServer('yahoo',
				       'Yahoo',
				       'ldap.yahoo.com',
				       '',
				       'sn',
				       'cn,mail,sn,givenname',
				       'is,is_strict,contains,begins,ends');

$LDAPServers['whowhere'] = new LDAPServer('whowhere',
					  'WhoWhere',
					  'ldap.whowhere.com',
					  '',
					  'sn',
					  'cn,mail,sn,givenname',
					  'is,is_strict,contains,begins,ends');

*/
/*
  The following is another example how to add your local LDAP server.
  Have a look at the last three lines:
  
  The last line specifies the attribute holding the email address
  (defaults to mail, if your email addresses are stored in a different
  attribute then set this one). Most people won't need this but if you
  use a custom attribute this will let you still search standard
  directories in the same IMP installation).
  
  The last but one specifies the country (ie. c=[country].
  
  The line before that specifies your organisation
  (ie. o=[organisation].
  
  Alternatively you can leave the country/org lines blank and just
  specify a normal base DN on the fourth line.
  
  See horde lib for a complete list of options */

/*
$LDAPServers['uibk'] = new LDAPServer('uibk',
				      'Innsbruck',
				      'ldap.uibk.ac.at',
				      '',
				      'sn',
				      'cn,mail,sn,givenname,uid,ou',
				      'is,sounds,is_strict,contains,begins,ends',
				      'Universitaet Innsbruck',
				      'AT',
				      'mailaddress');
*/

?>
